// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

public interface SwitchStatusOrBuilder extends
    // @@protoc_insertion_point(interface_extends:switchmodule.SwitchStatus)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  boolean hasStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  openfmb.commonmodule.StatusValue getStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
   * @return Whether the switchStatusXSWI field is set.
   */
  boolean hasSwitchStatusXSWI();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
   * @return The switchStatusXSWI.
   */
  openfmb.switchmodule.SwitchStatusXSWI getSwitchStatusXSWI();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
   */
  openfmb.switchmodule.SwitchStatusXSWIOrBuilder getSwitchStatusXSWIOrBuilder();
}
